#
# spec file for package mpt-firmware (Version 1.0)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison blocxx bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv iproute2 kernel-default klogd less libacl libattr libcom_err libgcc libgssapi libmudflap libnscd libstdc++ libtool libxcrypt libzio limal limal-bootloader limal-perl m4 make man mdadm mkinitrd mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch pcre perl perl-Bootloader perl-gettext permissions popt procinfo procps psmisc pwdutils rcs readline reiserfs rpm sed strace sysconfig sysfsutils sysvinit tar tcpd texinfo timezone udev unzip util-linux vim xfsprogs zlib zlib-devel

Name:           mpt-firmware
Summary:        Configuration files for autoloading mptctl at boot time.
Version:        1.0
Release:        1.7
License:        GNU General Public License (GPL)
Group:          Hardware/Other
BuildRequires:  kernel-default sysconfig
Requires:       sysconfig
BuildArch:       noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        hwcfg-mptspi
Source1:        hwcfg-mptfc
Source2:        hwcfg-mptsas
Source3:        update-pci-id-list.sh
# Module: mptspi.ko
Supplements: modalias(pci:v00001000d00000030sv*sd*bc*sc*i*)
Supplements: modalias(pci:v00001000d00000032sv*sd*bc*sc*i*)
# Module: mptfc.ko
Supplements: modalias(pci:v00001000d00000621sv*sd*bc*sc*i*)
Supplements: modalias(pci:v00001000d00000624sv*sd*bc*sc*i*)
Supplements: modalias(pci:v00001000d00000622sv*sd*bc*sc*i*)
Supplements: modalias(pci:v00001000d00000628sv*sd*bc*sc*i*)
Supplements: modalias(pci:v00001000d00000626sv*sd*bc*sc*i*)
Supplements: modalias(pci:v00001000d00000642sv*sd*bc*sc*i*)
Supplements: modalias(pci:v00001000d00000640sv*sd*bc*sc*i*)
Supplements: modalias(pci:v00001000d00000646sv*sd*bc*sc*i*)
# Module: mptsas.ko
Supplements: modalias(pci:v00001000d00000050sv*sd*bc*sc*i*)
Supplements: modalias(pci:v00001000d0000005Esv*sd*bc*sc*i*)
Supplements: modalias(pci:v00001000d00000054sv*sd*bc*sc*i*)
Supplements: modalias(pci:v00001000d00000056sv*sd*bc*sc*i*)
Supplements: modalias(pci:v00001000d0000005Asv*sd*bc*sc*i*)
Supplements: modalias(pci:v00001000d00000058sv*sd*bc*sc*i*)
# end of supplements list
%debug_package
%prep

%build
# There is nothing to build

%install
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig/hardware
for pid in $(grep mptspi /lib/modules/*/modules.alias | sed 's/.*d0000\(.*\)sv.*/\1/g' | tr [A-F] [a-f]); do
    cp %{S:0} $RPM_BUILD_ROOT/etc/sysconfig/hardware/hwcfg-vpid-1000-$pid
done
for pid in $(grep mptfc /lib/modules/*/modules.alias | sed 's/.*d0000\(.*\)sv.*/\1/g' | tr [A-F] [a-f]); do
    cp %{S:1} $RPM_BUILD_ROOT/etc/sysconfig/hardware/hwcfg-vpid-1000-$pid
done
for pid in $(grep mptsas /lib/modules/*/modules.alias | sed 's/.*d0000\(.*\)sv.*/\1/g' | tr [A-F] [a-f]); do
    cp %{S:2} $RPM_BUILD_ROOT/etc/sysconfig/hardware/hwcfg-vpid-1000-$pid
done

%description
This package contains hardware configuration files that autoload the
   mptctl ioctl driver at boot time. The mptctl driver is an ioctl
   character driver for the LSI Logic Fusion-MPT Host adapter
   series. These adapters include - Ultra320 53C1030, 53C1020

- Fiber Channel FC909, FC919, FC929, FC919X and FC929X

- SAS SAS1064, and SAS1068



Authors:
--------
    Eric Moore <emoore@lsil.com>


%files
%defattr(0644,root,root)
/etc/sysconfig/hardware/*

%changelog
* Mon Nov 13 2006 - hare@suse.de
- Create hwcfg files based on the modalias provided by the
  respective modules.
* Tue Oct 17 2006 - hare@suse.de
- Create files dynamically
* Tue Sep 12 2006 - Eric.Moore@lsil.com
- Initial creation of this rpm (FATE 300676).
